Jump to content


Photo

A comprehensive Guide to BP-WeiDu Compatibility


128 replies to this topic

#1 Salk

Salk
  • Member
  • 1205 posts

Donator

Posted 03 May 2006 - 10:29 PM

MODS THAT MUST BE INSTALLED AFTER BP-WeiDU!
Any compatible mod not listed here is to be installed before BP-Weidu. Note that although these mods are compatible with BP-Weidu, no guarantees on their cross-compatibility can be given.

- Divine Remix
NOTE: fully compatible with BP.

- Rogue Rebalancing
NOTE: compatible with BP from version 3.6 on.

- PnP Celestial
NOTE: None

- Improved Horns of Valhalla
NOTE: None

- Redemption
NOTE: Modification to .tp2 file needed!
locate the following two lines in Setup-Redemption.tp2 and remove them:

REQUIRE_FILE ~override/BODHIND.2da~
@2 // Ascension check

- Turnabout
NOTE: None

- The Longer Road
NOTE: None

- Refinements
NOTE: before installing Refinements, copy the files XPCAP.2DA and XPLEVEL.2DA that were updated by BP, paste them into folder \Refinements\Hlab\_shared\copy (thus overwriting the existing files)

- GMinions
NOTE: only needed if BP Series not installed.

- BGT Tweaks
NOTE: None

- Ding0's Quest Pack
NOTE: Present incompatibility between BP177 Core AI and Ding0's Quest pack component "Creatures&Area Improvements". Regardless of install order, the Quest Pack AI will install, but will not be active.

- Ding0's Tweak Pack
NOTE: Do not install components:
* Kensai Ryu's Restored Drow Innate Abilities
* Summoning Cap Removal
* BG1-Stlye summoning Spells

- G3's BG2 Tweaks
NOTE: Fully compatible with BP and BP+games.

- The Bigg's Tweaks
NOTE: None

- Simding0's Experience Fixer
NOTE: Fully compatible with BP and BP+games.

- Virtue
NOTE: isn't compatible with BGT.

- Yacomo's World Map
NOTE: Install last. Always.


SPECIAL INDICATIONS TO SPECIFIC MODS:

- TuTu Tweaks, G3 Tweaks, Ease of Use
* do not use: deprecated by BG2 tweaks

- Tougher Sendai component from Oversight is not compatible. Avoid its installation!

- Weimer's Ascension. Install this before Big Picture. Avoid installation of Big Picture 177's Ascension because it contains critical bugs not yet addressed.

- Unfinished Business "Restored Minor Dialogs" component in conjunction with BG2 Fixpack causes AR1303.bcs to become corrupted and thus causes a fatal install error in the AI component of BPv177. (And probably any other mod that does anything with AR1303.bcs) Workaround for this follows:
http://forums.gibber...amp;#entry59917


LIST OF NOT COMPATIBLE MODS:

- Tactics

- COM Encounters

Edited by Salk, 03 July 2007 - 01:37 AM.


#2 pro5

pro5
  • Modder
  • 722 posts

Posted 04 May 2006 - 02:29 AM

- Ding0's Quest Pack
NOTE: None


Wouldn't it overwrite BP's scripting if installed after? I mean first component - "General AI Improvements".

#3 Salk

Salk
  • Member
  • 1205 posts

Donator

Posted 04 May 2006 - 04:33 AM

No. Quest Pack AI and BP's are reported as compatible. SimDing0 states that the latter kicks in in case of conflict.

#4 erebusant

erebusant

    It takes a village...

  • Modder
  • 2109 posts

Posted 04 May 2006 - 02:53 PM

The d0Questpack checks for the presence of BP and skips the 1st 2 components if BP is installed. I prefer to install it before BP and just do it manually and skip the 1st 2 components.
It takes a village...

#5 SimDing0

SimDing0

    GROUP ICON

  • Member
  • 1654 posts

Posted 04 May 2006 - 03:34 PM

That check's no longer there. As mentioned, they work together. Install Quest Pack after.
Repeating cycle of pubes / no pubes.

A Comprehensive Listing of IE Mods

#6 kimmel

kimmel
  • Member
  • 37 posts

Posted 04 May 2006 - 07:07 PM

About Tactics: presumably the Archer-fighter kit is not incompatible? and I am pretty sure that at some point Horred said he *thought* Improved Irenicus should be compatible.

also, doesn't the latest patch for TOB include the Bonus merchants? so there's no loss in not installing that Ease of Use component, at any rate.

#7 Valfar

Valfar
  • Member
  • 56 posts

Posted 05 May 2006 - 12:00 AM

Refinements
SOLUTION: Do not install BP-WeiDu's Level 50 rulesets.

How can I skip it? Is it possible just in the setup?
Posted Image

#8 Salk

Salk
  • Member
  • 1205 posts

Donator

Posted 05 May 2006 - 12:49 AM

Refinements
SOLUTION: Do not install BP-WeiDu's Level 50 rulesets.

How can I skip it? Is it possible just in the setup?


It's enough to read the Readme files that come with Big Picture to find such answers. The Level 50 rule is an optional component. Just say "no" at WeiDu prompt.

#9 amitlath

amitlath
  • Member
  • 132 posts

Posted 06 May 2006 - 08:30 AM

if this thread is considered relevant to bp with tdd, sos, ctb, ts, divine remix has been noted to be incompatible with tdd somewhere in the forums by horred.

#10 Salk

Salk
  • Member
  • 1205 posts

Donator

Posted 06 May 2006 - 10:33 AM

This thread is specifically examining compatibility between Big Picture WeiDu and other Mods not between Big Picture WeiDu plus X mod's.

#11 Azazello

Azazello

    The Anti-Spammer

  • Member
  • 1830 posts

Posted 20 May 2006 - 04:19 PM

This thread is specifically examining compatibility between Big Picture WeiDu and other Mods not between Big Picture WeiDu plus X mod's.

:blink:

Thanks Salk for this thread. I was just hunting for this kind of info.

I'ld like to know which position (Before or After BP) these mods should go (My presumption is that they should go AFTER):

One Pixel Productions
Ruad Ro'fessa
Dark Ritual
Freedom's Reign/Reign of Virtue
Underrepresented Weapons
BagBonus
PlanarSphereMod
PlanarSphere_Return
Tashia NPC
Dungeon Be Gone

Redemption
Unfinished Business
Weimer's Item Upgrade
Blucher's Expanded Thief Stronghold (gbthfkpv-2-8.zip)
aVENGER Rogue ReBalancing Pack
Banter Pack
Ashes of Embers
Galactygon's SpellPack beta version 3
Oversight Pack
Zyraen's Miscellany
RPG Dungeon Kit Pack


In the BGT-WeiDU v1.00 Compatibility, it's noted that in G3 Divine Mix, "Viconia level 6 does not receive her custom kit".

Edited by Azazello, 30 May 2006 - 12:44 PM.

You ever notice that "What the hell..." is the answer to just about everything?
================================================================
"Girls are like phones, they like to be held and talked too, but if you press the wrong button, you will be disconnected!" DJ Nikodemus
================================================================
Community Contributions
a directory of Mega-Installation Guides * Level 1 NPCs * gMinion: expanded TP2 for MegaInstalls * PSM (PSQM): expanded scripts for Melanthium * Weimer's-Tactics: revised TP2 for MegaInstalls * non-detectable Cloak of Non-Detection ?? * Shar Nadal (DSotSC-BGT) revision


#12 seanas

seanas
  • Modder
  • 1906 posts

Posted 21 May 2006 - 04:16 AM

I'ld like to know which position (Before or After BP) these mods should go (My presumption is that they should go AFTER):


your presumption is incorrect: everything should go before BP unless there's a compelling reason for it to go afterwards.

reasoning: 1. you want as much of your game as possible to use BP's AI (that is, after all, why yr installing BP in the first place, right?) - and anything you install after BP won't get BP's AI. 2: BP is (almost fully) file-patching based, rather than file-overwriting; if you install one of the old mods that overwrite files (in the case of Oversight, overwriting yr IDS files, thus hosing yr entire install) then whatever you've overwritten will also lose its BP enhancements.

from yr list, everything, with the exception of One Pixel Productions and Redemption, should go before BP; One Pixel can go before or after as you choose (it won't matter, but best practice says: install before BP). be very careful about which parts of Oversight and Rogue Rebalancing you install: parts of oversight overwrite yr IDS files - if you've got TDD/ SoS/ CtB/ TS (ie the BP family) installed as well, then it'll break them (as BP will skip this step as not necessary - leaving you with broken IDS files); if you don't have any of the BP family installed, then BP will fix yr errors, as long as BP is installed after oversight. rogue rebalancing installs level 40 .2da files - BP goes up to level 50. BP will, again, correct yr errors if installed after rogue, but be aware that most of the BP family *also* go up to level 50, so if you've got them installed, BP will skip this step - and yr isntall will, again, be broken.

redemption needs to go after BP (or after Ascension, which amounts to the same thing) in order to get redemption to install, you'll need to open Setup-Redemption.tp2 in yr text editor of choice (notepad works fine) and remove the following lines:
REQUIRE_FILE ~override/BODHIND.2da~
@2 // Ascension check
othewise redemption will fail to install.

some of the mods yr installing are also notorious for breaking other mods - notably Dungeon be Gone and Blucher's Improved Thieves Stronghold. if you install either of these and things go wrong, don't expect any sympathy.

Edited by seanas, 21 May 2006 - 05:00 AM.

"A simple test of the relative merits of science and religion is to compare lighting your house at night by prayer or electricity" - A. C. Grayling
"EFF files have saves, too." - CamDawg
|| this is radio seanas || BP Series v3 || seanas at work ||

#13 pro5

pro5
  • Modder
  • 722 posts

Posted 21 May 2006 - 04:44 AM

from yr list, everything, with the exception of One Pixel Productions, should go before BP


Redemption should go after (it's on the list in first post of this thread)

#14 seanas

seanas
  • Modder
  • 1906 posts

Posted 21 May 2006 - 04:50 AM


from yr list, everything, with the exception of One Pixel Productions, should go before BP


Redemption should go after (it's on the list in first post of this thread)


whoops - yr correct. i'll edit my previous post accordingly. that said, Redemption won't install on that list of mods: no old-school Ascension = Redemption install failure.

by the way: there's a much better suggestion for fixing refinements' incompatibilities than 'don't use BP's level 50 rules' (because - yr installing BP because you want to play it, right? so what sort of solution is 'dont play it'? but anyways...)
via horred:
Replace Component 10, folder Hlab/_shared/copy/{XPCAP.2DA and XPLEVEL.2DA} with BP's lvl-50 set prior to installing Refinements

there's no easy fix with rogue rebalancing tho: you either don't install it, or you live with the fact you'll get no further HLAs after level 40.

Edited by seanas, 21 May 2006 - 05:39 AM.

"A simple test of the relative merits of science and religion is to compare lighting your house at night by prayer or electricity" - A. C. Grayling
"EFF files have saves, too." - CamDawg
|| this is radio seanas || BP Series v3 || seanas at work ||

#15 Azazello

Azazello

    The Anti-Spammer

  • Member
  • 1830 posts

Posted 21 May 2006 - 12:12 PM

Thanks seanas.

What I don't understand though is why tweaks should go before BP.

(Side Note: my list above is also my install order; it has worked for me, for years. Unless I've been missing content all this time, neither Dungeon-Be-Gone or Blucher's Expanded Thief Stronghold have caused problems. Of course, YMMV.
EDIT: I looked at Blucher's mod and the only 2DA overwrites are RepModSt.2da and RModRep.2da. I don't know what these are. Also, the TP2 does NO patching of 2DA/IDS files
)

Is this logic block correct for BP Installation Compatibility:
Before BP
- any mod that has NPCs/creatures that will actively fight at some point
- any mod with compatibility issues with BP

After BP
- any mod where you want its AI to override BP's
- any mod that is required "after BP" installation
- any mod that does not interfere with BP

When in doubt, install before BP

Rogue ReBalancing
The dilemma with using Rogue ReBalancing is that it's a prerequisite to Refinements, at least that's what I've been interpreting from its documentation. Anyone know differently? I'm willing to go only up to 40th level if that's the sacrifice I have to make... <_<

Oversight
... patches STATS.IDS for 'Tougher Sendai' option. For me, I never use this, so no loss. But even if you do, I'm not sure the patching is needed in a BP/BGT build (thus could be removed?). Of course, I may not be reading the code thoroughly.
... patches KIT.IDS, it says in section [BEGIN "Cleric Kits"]. From my reading of the code block, the patching is not needed for a BP/BGT build, or for any build that has a "modern" version of kit.ids

BP patches *.2DA and *.IDS files. So consider this brute-force method: (1) install BP, (2) before installing 'After BP' mods, copy the 2DA/IDS files into the install folders of any 'After BP' mods that usually overwrites these files!
(Mwahahaha, they called me mad!!! :twisted: )

Wat'ch'all think?


Madness or not, this is the re-org of my list (Modified 29 Sept 2006, based on newest info – yay!? B) ):

Pre-BP – Pre-BP mods
aVENGER Rogue ReBalancing Pack

Before BP
Dark Ritual
PlanarSphereMod
PlanarSphere_Return
Tashia NPC
Unfinished Business
Blucher's Expanded Thief Stronghold

After BP
One Pixel Productions
Ruad Ro'fessa
Freedom's Reign/Reign of Virtue
Underrepresented Weapons
BagBonus
Dungeon Be Gone
Redemption
Weimer's Item Upgrade
Banter Pack
Ashes of Embers
Galactygon's SpellPack beta version 3
Oversight Pack {should go Pre-BP if installing Tougher Sendai}
Zyraen's Miscellany
RPG Dungeon Kit Pack


.

Edited by Azazello, 29 September 2006 - 08:59 AM.


#16 -Guest-

-Guest-
  • Guest

Posted 21 May 2006 - 05:12 PM

What about using song & silence instead of Rogue ReBalancing, and then using refinements? Would that work?

#17 Salk

Salk
  • Member
  • 1205 posts

Donator

Posted 21 May 2006 - 11:58 PM

by the way: there's a much better suggestion for fixing refinements' incompatibilities than 'don't use BP's level 50 rules' (because - yr installing BP because you want to play it, right? so what sort of solution is 'dont play it'? but anyways...)


I am aiming to offer a simple, easy-to-use guide that won't require to mess around with .tp2 files and such. Since Lvl50 ruleset is just a very marginal and optional component of BP-WeiDu, the best solution is to suggest a user to simply not install it to avoid big problems.

People that are willing to work on .tp2 files and/or download patches scattered around in different topics are welcome to do so. :cheers:

#18 Azazello

Azazello

    The Anti-Spammer

  • Member
  • 1830 posts

Posted 22 May 2006 - 12:02 AM

Mwahahaha!! I solved the compatibility problem with Rogue ReBalancing!

Actually, seanas gave the path to solution. Here's what needed for three mods.

Rogue ReBalancing
BP build : install RReB before BP
BGT-BP build : install RReB before any "BP mod". That is, RReB-NEJ2-SoS-TDD-CtB-TS-BGT-...-BP

RReB will make level-40 ruleset changes. "BP mods" will then extend these rules to level-50.

I just confirmed this works from my monster build.
{FYI the Bard spell table MXSPLBRD.2DA only extends to level-40. I think this is officially correct, by the rules, not a lapse of BP or BP mods. There is a mod that will extend it to level-50, Zyraen's Miscellany, if you want that.}

Refinements
As seanas noted, before installing Refinements, copy the files XPCAP.2DA and XPLEVEL.2DA that were updated by BP, paste them into folder \Refinements\Hlab\_shared\copy (thus overwriting the existing files)

G3 Divine Remix
before installing Divine Remix, copy the file MXSPLPRS.2DA that was updated by BP, paste it into folder \Divine_Remix\cleric\copy (thus overwriting the existing file)

Edited by Azazello, 24 May 2006 - 10:31 AM.


#19 Salk

Salk
  • Member
  • 1205 posts

Donator

Posted 22 May 2006 - 12:07 AM

Thanks seanas.

What I don't understand though is why tweaks should go before BP.


In fact I believe they should not.

#20 seanas

seanas
  • Modder
  • 1906 posts

Posted 22 May 2006 - 12:20 AM

nice work Azazello: thanks for working out those solutions :Bow:
"A simple test of the relative merits of science and religion is to compare lighting your house at night by prayer or electricity" - A. C. Grayling
"EFF files have saves, too." - CamDawg
|| this is radio seanas || BP Series v3 || seanas at work ||



Reply to this topic